.loader-container {
    position: fixed;
    /* Cover the entire screen */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    /* Black background with opacity */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    /* Make sure it's on top of other content */
}

.loader {
    border: 16px solid #f3f3f3;
    /* Light grey */
    border-top: 16px solid #3498db;
    /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}


@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.msgPanel {
    display: none;
    position: fixed !important;
    max-width: 300px !important;
    right: 3% !important;
    top: 8% !important;
    z-index: 99999 !important;
    font-weight: bold;
}

.full-height-with-nav {
    height: calc(100vh - 56px) !important;
}



.table td,
.table th {
    word-wrap:normal;
    /* Permette al testo di andare a capo all'interno delle celle */
    overflow-wrap:normal;
    /* Alternativa a word-wrap per browser più recenti */
}

.table-responsive{
    max-height: 650px;
}
@media (max-width: 1440px) {
    .table-responsive {
        max-height: 450px;
    }
}

input[type=number]::-webkit-inner-spin-button {
    opacity: 1
}

input[type="password"] {
    -webkit-text-security: disc;
}




.modal-content.bg-danger, .modal-content.bg-success {
    color: white;
}





.table .fit {
    white-space: nowrap;
    width: 1%;
}

.tiny-input {
    max-width: 100px !important;
}

.small-input {
    max-width: 200px !important;
}

.short-btn{
    width: 135px;
    max-width: 135px !important;
}



.usersTable {
    max-height: calc(100vh - 320px);
    min-height: 96px;
}

.icon-col {
    white-space: nowrap;
    width: 16px !important;
}

.descrizione-tronca-2 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
}

.timeline {
    list-style-type: none;
    position: relative;
    padding-left: 40px;
}

.timeline:before {
    content: '';
    background: #d4d9df;
    display: inline-block;
    position: absolute;
    left: 30px;
    width: 2px;
    height: 100%;
    z-index: 400;
}

.timeline > li {
    margin: 20px 0;
    padding-left: 20px;
}

.timeline > li:before {
    content: '';
    background: #6bb9f0;
    display: inline-block;
    position: absolute;
    border-radius: 50%;
    left: 20px;
    width: 20px;
    height: 20px;
    z-index: 400;
}

.g-recaptcha {
    width: 304px;
}

.bi-plus-lg[aria-expanded=true] {
    display: none;
}

.bi-dash-lg[aria-expanded=false] {
    display: none;
}

@media screen and (max-width: 400px) {
    
    button, input, label, select, p, th, tr{
        font-size: 12px!important;
    }
}

@media screen and (max-height: 800px) {
    button, input, select{
        max-height: 50px!important;
    }
    button, input, label, select, p, th, tr{
        font-size: 12px!important;
    }
}

@media screen and (max-width: 600px) {
    .responsive-table,
    .responsive-table thead,
    .responsive-table tbody,
    .responsive-table th,
    .responsive-table td,
    .responsive-table tr {
        display: block;
    }

    .responsive-table thead tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }

    .responsive-table tr {
        border: 1px solid #ccc;
        margin-bottom: 5px;
        padding: 3px;
    }

    .responsive-table td {
        border: none;
        position: relative;
        padding: 0 3px 3px 3px;
        text-align: left;
        min-height: auto;
        font-size: 12px;
    }

    .responsive-table td:before {
        content: attr(data-label);
        display: inline-block;
        font-weight: bold;
        font-size: 11px;
        margin-right: 5px;
    }

    .responsive-table td:not(:last-child) {
        border-bottom: 1px solid #eee;
        margin-bottom: 2px;
    }
}

@media screen and (max-width: 400px) {
    .responsive-table td {
        padding: 1px;
    }

    .responsive-table td:before {
        display: block;
        margin-bottom: 1px;
    }
}